# 股息歷史

`GET` `/v1/quote/dividends`

獲取指定證券的股息歷史及即將公佈的股息信息。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `start_date` | string | No | 開始日期，格式 `YYYY-MM-DD` |
| `end_date` | string | No | 結束日期，格式 `YYYY-MM-DD` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/dividends?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | 股息記錄列表， |
| `└ id` | string | No | 派息事件 ID |
| `└ desc` | string | No | 派息描述 |
| `└ symbol` | string | No | 證券代碼 |
| `└ record_date` | string | No | 股權登記日 |
| `└ ex_date` | string | No | 除息日 |
| `└ payment_date` | string | No | 派息日 |
| `└ dividend_summary` | object | No | 股息摘要。 |
| `└ ∟ title` | string | No | 標題 |
| `└ ∟ desc` | string | No | 派息描述 |
| `total` | string | No | 滿足條件的股票總數。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": [
      {
        "id": "12345",
        "symbol": "AAPL.US",
        "ex_date": "2026-02-07",
        "payment_date": "2026-02-13",
        "record_date": "2026-02-10",
        "desc": "Cash dividend 0.25 USD"
      }
    ]
  }
}
```
